Subject: Re: builtin shell commands in a Makefile -- cygwin32 vs regular GNU
From: [email-masked] (Geoffrey Noer)

15 Jan 1998 03:57:51 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Thierry Parmentelat)
Cc: [email-masked], [email-masked], [email-masked]

Thierry Parmentelat wrote:
[...]
> This raises a wider matter: what is the policy of cygwin32, in terms
> of convergence/divergence with the initial GNU tools ?
> I mean, will the patches made by the cygwin32 team on a given gnu tool,
> be incorporated in the standard (MIT) distribution one day ?
> 
> I understand it is more convenient for cygnus to handle a complete
> set of tools, but for guys like me who need only a (potentially very)
> small part of the whole rot, it would be great if we could pick it
> on its own somewhere.

Divergence should be avoided whenever possible.  At this point there is a
set of patches to many of the tools for Cygwin32 as most of you know.
We are (or will be) working with the maintainers of the various tools
to integrate Cygwin32 support.  The next release of bash will come with
Cygwin32 support for example.  It may be some time before all packages
are dealt with though...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".